﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.IO;
using Microsoft.Win32;

namespace WpfBrowserApplication1
{
    /// <summary>
    /// Interaction logic for Page1.xaml
    /// </summary>
    public partial class Page1 : Page
    {
        public Page1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            OpenFileDialog ofd = new OpenFileDialog();
            if (ofd.ShowDialog() == true)
            {
                string TextData = File.ReadAllText(ofd.FileName);
                Paragraph p = new Paragraph();
                p.Inlines.Add(TextData);

                FlowDocument fd = new FlowDocument();
                fd.Blocks.Add(p);
                richTextBox1.Document = fd;

            }
        }

        private void button2_Click(object sender, RoutedEventArgs e)
        {
            OpenFileDialog ofd = new OpenFileDialog();
            if (ofd.ShowDialog() == true)
            {
                string TextData = File.ReadAllText(ofd.FileName);
                Paragraph p = new Paragraph();
                p.Inlines.Add(TextData);

                FlowDocument fd = new FlowDocument();
                fd.Blocks.Add(p);
                richTextBox3.Document = fd;
            }
        }

        private void button1_Click_1(object sender, RoutedEventArgs e)
        {
            OpenFileDialog ofd = new OpenFileDialog();
            if (ofd.ShowDialog() == true)
            {
                string TextData = File.ReadAllText(ofd.FileName);
                Paragraph p = new Paragraph();
                p.Inlines.Add(TextData);

                FlowDocument fd = new FlowDocument();
                fd.Blocks.Add(p);
                richTextBox1.Document = fd;
            }
        }

        private void button2_Click_1(object sender, RoutedEventArgs e)
        {
            OpenFileDialog ofd = new OpenFileDialog();
            if (ofd.ShowDialog() == true)
            {
                string TextData = File.ReadAllText(ofd.FileName);
                Paragraph p = new Paragraph();
                p.Inlines.Add(TextData);

                FlowDocument fd = new FlowDocument();
                fd.Blocks.Add(p);
                richTextBox3.Document = fd;
            }
        }

        private void button6_Click(object sender, RoutedEventArgs e)
        {
            richTextBox1.Document.Blocks.Clear();
        }

        private void button7_Click(object sender, RoutedEventArgs e)
        {
            richTextBox3.Document.Blocks.Clear();
        }

        private void button8_Click(object sender, RoutedEventArgs e)
        {
            richTextBox2.Document.Blocks.Clear();
        }

        private void button9_Click(object sender, RoutedEventArgs e)
        {
            richTextBox4.Document.Blocks.Clear();
        }

        private void button4_Click(object sender, RoutedEventArgs e)
        {
            TextRange textRange = new TextRange(richTextBox2.Document.ContentStart, richTextBox2.Document.ContentEnd);
            SaveFileDialog dlg = new SaveFileDialog();
            dlg.Filter = "Text Files (*.txt) | *.txt";
            if (dlg.ShowDialog() == true)
            {
                using (FileStream fs = new FileStream(dlg.FileName, FileMode.OpenOrCreate))
                {
                    textRange.Save(fs, DataFormats.Text);
                }

            }
        }

        private void button5_Click(object sender, RoutedEventArgs e)
        {
            TextRange textRange = new TextRange(richTextBox4.Document.ContentStart, richTextBox4.Document.ContentEnd);
            SaveFileDialog dlg = new SaveFileDialog();
            dlg.Filter = "Text Files (*.txt | *.txt";
            if (dlg.ShowDialog() == true)
            {
                using (FileStream fs1 = new FileStream(dlg.FileName, FileMode.OpenOrCreate))
                {
                    textRange.Save(fs1, DataFormats.Text);
                }
            }
        }

        private void button3_Click(object sender, RoutedEventArgs e)
        {


        }

        private void button10_Click(object sender, RoutedEventArgs e)
        {
            PrintDialog pd = new PrintDialog();
            if ((pd.ShowDialog() == true))
            {
                pd.PrintVisual(richTextBox2 as Visual, "printing as visual");
                pd.PrintDocument((((IDocumentPaginatorSource)richTextBox2.Document).DocumentPaginator), "printing as paginator");

            }
        }

        private void button11_Click(object sender, RoutedEventArgs e)
        {
            PrintDialog pd1 = new PrintDialog();
            if ((pd1.ShowDialog() == true))
            {
                pd1.PrintVisual(richTextBox4 as Visual, "printing as visual");
                pd1.PrintDocument((((IDocumentPaginatorSource)richTextBox4.Document).DocumentPaginator), "printing as paginator");
            }
        }
    }
}


